{ config, lib, pkgs, ... }:

let
  unstable = import <nixos-unstable> {};
in {

  environment.systemPackages = with pkgs; [
    gnumake
    go
    rustup
    shellcheck
    unstable.golangci-lint
    unstable.gopls
    unstable.rust-analyzer
    unstable.esphome

    (python38.withPackages(python-packages: with python-packages; [
      dnspython
      pyls-black
      pyls-isort
      pyls-mypy
      python-language-server
      pyyaml
      requests
    ]))

    mariadb-client

    emacs
    gitAndTools.delta
    ltrace
    parallel
    sops
    tig
    unstable.bazel

    openssl pkg-config nasm cmake zlib gcc binutils-unwrapped
  ];
}
